Subject: Re: Analysis of archival format requirements (long) - sci.data.formats #196 (fwd)

From: [email-masked] (Lucio Chiappetti)
Date: 18 Aug 1993 03:21:25 -0500

In article <warnock.745616583@Hypatia>, [email-masked] (Archie Warnock) writes:
|> 
|> This alone would that data in FITS (or any other format that did the same)
|> will be readable at any time in the future - I can always find out how
|> to read the bits.  But the FITS community has gone one step further.
|> The format is tested and subjected to the consensus evaluation and
|> approval of the user community - there are FITS committees in North
|> America (under the aegis of the AAS), in Europe (under ESO) and in
|> Japan.  The recommendations of those committees are then adopted by the
|> International Astronomical Union.  These steps ensure that the details
|> of FITS are part of the permanent body of knowledge maintained by the
|> astronomical community.  It will be accessible as long as the
|> professional astronomical community exists.  Data in FITS format is
|> permanently accessible.  It is standardized by the force of
|> international agreements, by the entire astronomical community.  The
|> same cannot be said of any of the other formats we've discussed.
|> 

   All the above is definitely true :
     
     - one can always find out how to read the BITS
     - data in FITS are permanently ACCESSIBLE 

   There is however a MINOR point (so minor that it does NOT have to be
   counted as detrimental to the usage of FITS for archiving), which is
   the fact that the semantics of the usage of a particular FITS file are
   not necessarily (usually not) subjet to the formal standardization 
   described above. They will be at best published in "internal reports"

   This is particularly true with the binary table stuff (after all an
   image is an image is an image z=f(x,y), and once you've filled the
   mandatory and recommended keywords you know what is on x,y and z).
   Binary tables allow lots more of flexibility, you'd always know what
   are the names of the various columns ... but may not necessarily know
   what those names mean ... unless you look up in some project related
   documentation.

   But alas, this is unavoidable, isn't it ? 

-----------------------------------------------------------------------------   
       A member of  G.ASS : Group for Astronomical Software Support             
-----------------------------------------------------------------------------   
Lucio Chiappetti - IFCTR/CNR Milano        |         U N I C U I Q U E          
via Bassini 15 - I-20133 Milano - Italy    |          System  Manager           
Internet: [email-masked]            |           FORTUNAE SUAE            
Decnet:   IFCTR::LUCIO (39610::LUCIO)      |                                    
Bitnet:   <please do not use any more>     |                                    
-----------------------------------------------------------------------------